summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-text/jadetex
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-text/jadetex')
-rw-r--r--app-text/jadetex/Manifest1
-rw-r--r--app-text/jadetex/files/80jadetex.cnf37
-rw-r--r--app-text/jadetex/files/format.jadetex.cnf3
-rw-r--r--app-text/jadetex/jadetex-3.13-r6.ebuild63
-rw-r--r--app-text/jadetex/metadata.xml8
5 files changed, 112 insertions, 0 deletions
diff --git a/app-text/jadetex/Manifest b/app-text/jadetex/Manifest
new file mode 100644
index 00000000000..adbc2d6f7a5
--- /dev/null
+++ b/app-text/jadetex/Manifest
@@ -0,0 +1 @@
+DIST jadetex-3.13.tar.gz 103137 SHA256 115aa01dc9665c263453e51dbb099769c63e47adb5e800436950154701059cf8 SHA512 188fb83b50fbe82856a32ef95088d5c801750114810e3cdf7e1758f78b6a94b331b7ae7d81feb1c08b7bb31ac52f8435503911933350baa3068ad373e11dbba1 WHIRLPOOL e2f23146969cf107e32658cf4fc338d39c89fd720ba8f77289e003c0c70910fd0d5cfb373f8ad2f012d1cfdbf028e9d56a63f6efd5e7d65fe23639d1a01ee8e9
diff --git a/app-text/jadetex/files/80jadetex.cnf b/app-text/jadetex/files/80jadetex.cnf
new file mode 100644
index 00000000000..a5976a74e09
--- /dev/null
+++ b/app-text/jadetex/files/80jadetex.cnf
@@ -0,0 +1,37 @@
+% -- jadetex configuration params added by texmf-update --
+% latex settings
+main_memory.latex = 1100000
+param_size.latex = 1500
+stack_size.latex = 1500
+hash_extra.latex = 15000
+string_vacancies.latex = 45000
+pool_free.latex = 47500
+nest_size.latex = 500
+save_size.latex = 5000
+pool_size.latex = 500000
+max_strings.latex = 55000
+font_mem_size.latex= 400000
+
+% jadetex & pdfjadetex
+main_memory.jadetex = 1500000
+param_size.jadetex = 1500
+stack_size.jadetex = 1500
+hash_extra.jadetex = 50000
+string_vacancies.jadetex = 45000
+pool_free.jadetex = 47500
+nest_size.jadetex = 500
+save_size.jadetex = 5000
+pool_size.jadetex = 500000
+max_strings.jadetex = 55000
+
+main_memory.pdfjadetex = 2500000
+param_size.pdfjadetex = 1500
+stack_size.pdfjadetex = 1500
+hash_extra.pdfjadetex = 50000
+string_vacancies.pdfjadetex = 45000
+pool_free.pdfjadetex = 47500
+nest_size.pdfjadetex = 500
+save_size.pdfjadetex = 5000
+pool_size.pdfjadetex = 500000
+max_strings.pdfjadetex = 55000
+% -- jadetex configuration ends here --
diff --git a/app-text/jadetex/files/format.jadetex.cnf b/app-text/jadetex/files/format.jadetex.cnf
new file mode 100644
index 00000000000..5bd4d378c0a
--- /dev/null
+++ b/app-text/jadetex/files/format.jadetex.cnf
@@ -0,0 +1,3 @@
+# JadeTeX
+jadetex pdftex language.dat -translate-file=cp227.tcx &latex jadetex.ini
+pdfjadetex pdftex language.dat -translate-file=cp227.tcx &pdflatex pdfjadetex.ini
diff --git a/app-text/jadetex/jadetex-3.13-r6.ebuild b/app-text/jadetex/jadetex-3.13-r6.ebuild
new file mode 100644
index 00000000000..fc9169155a1
--- /dev/null
+++ b/app-text/jadetex/jadetex-3.13-r6.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit latex-package texlive-common
+
+DESCRIPTION="TeX macros used by Jade TeX output"
+HOMEPAGE="http://jadetex.sourceforge.net/"
+SRC_URI="mirror://sourceforge/jadetex/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE=""
+RESTRICT="test"
+
+DEPEND=">=app-text/openjade-1.3.1
+ dev-texlive/texlive-fontsrecommended
+ dev-texlive/texlive-genericrecommended"
+
+src_compile() {
+ VARTEXFONTS="${T}/fonts" emake
+ VARTEXFONTS="${T}/fonts" TEXMFHOME="${S}" env -u TEXINPUTS \
+ fmtutil --cnffile "${FILESDIR}/format.jadetex.cnf" --fmtdir "${S}/texmf-var/web2c" --all\
+ || die "failed to build format"
+}
+
+src_install() {
+ # Runtime files
+ insinto /usr/share/texmf-site/tex/jadetex
+ doins dsssl.def jadetex.ltx jadetex.cfg {pdf,}jadetex.ini *.sty
+
+ insinto /var/lib/texmf
+ doins -r texmf-var/*
+
+ etexlinks "${FILESDIR}/format.jadetex.cnf"
+
+ # Doc/manpages
+ dodoc ChangeLog*
+ doman *.1
+ dohtml -r .
+
+ # Support for our latex setup
+ insinto /etc/texmf/texmf.d
+ doins "${FILESDIR}/80jadetex.cnf"
+ insinto /etc/texmf/fmtutil.d
+ doins "${FILESDIR}/format.jadetex.cnf"
+}
+
+pkg_postinst() {
+ etexmf-update
+ elog
+ elog "If jadetex fails with \"TeX capacity exceeded, sorry [save size=5000]\","
+ elog "increase save_size in /etc/texmf/texmf.d/80jadetex.cnf and."
+ elog "remerge jadetex. See bug #21501."
+ elog
+}
+
+pkg_postrm() {
+ etexmf-update
+}
diff --git a/app-text/jadetex/metadata.xml b/app-text/jadetex/metadata.xml
new file mode 100644
index 00000000000..0e2778e9301
--- /dev/null
+++ b/app-text/jadetex/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>tex</herd>
+ <upstream>
+ <remote-id type="sourceforge">jadetex</remote-id>
+ </upstream>
+</pkgmetadata>